import request from '@/utils/request'

// 角色查询
export function roleList(params) {
    return request({
        url: '/system/role/list',
        method: 'GET',
        params,
    })
}


//角色-新增
export function roleAdd(params) {
    return request({
        url: '/system/role',
        method: 'POST',
        data: params,
    })
}



// 角色-回显
export function roleDetail(params, params2) {
    return request({
        url: '/system/role/' + params2,
        method: 'GET',
        params,
    })
}


//角色-修改
export function roleUpdate(params) {
    return request({
        url: '/system/role',
        method: 'PUT',
        data: params,
    })
}